Description

This is a guide on how to install Emby Media Server on FreeBSD 9.

Prepare the Environment

o Make sure the system is up to date:
pkg update && pkg upgrade
e |nstall a few dependencies

pkg install portmaster

Install Emby

¢ [nstall ffmpeg:

portmaster multimedia/ffmpeg

o NOTE: Make sure to enable [X]LAME and [X]ASS during the ffmpeg port configuration

Install emby:

pkg install emby-server

Start and enable emby at boot:

echo 'emby_server_enable="YES"' >> /etc/rc.conf
service emby-server start

Finish the installation by completing the setup wizard at http://media.example.com:8096

Setup SSL

¢ Generate a strong SSL key and a CSR to send for signing by a CA:

cd /usr/local/etc/ssl
openssl req -shab5l2 -out media.example.com.csr —-new -newkey rsa:4096 -nodes —-keyout media.exam
ple.com.key

e Send the CSR off to a CA to make a signed certificate, then add the contents of the certificate to the server:
http://media.example.com:8096

vi /usr/local/etc/ssl/media.example.com.crt

e Generate a pfx file for emby to use

cd /usr/local/etc/ssl
openssl pkcsl2 -export —-in media.example.com.crt —-inkey media.example.com.key —-out media.examp
le.com.pfx

e Next log into http://media.example.com:8096 and go to Setting -> Advanced -> Hosting and set the Custom certificate path to
/usr/local/etc/ssl/media.example.com.pfx

Resources

¢ http://emby.media/downloads/freebsd-server/
¢ http://emby.media/community/index.php?/topic/18029-how-to-configure-ssl-support/

History

#1 - 09/26/2015 07:49 PM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 09/28/2015 05:31 PM - Daniel Curtis
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#3 - 10/03/2015 01:30 PM - Daniel Curtis
- Description updated

#4 - 10/03/2015 01:42 PM - Daniel Curtis
- Description updated

#5 - 11/27/2015 03:58 PM - Daniel Curtis

- Status changed from Resolved to Closed

#6 - 02/24/2016 09:24 PM - Daniel Curtis

- Description updated

04/19/2024 22



http://media.example.com:8096
http://emby.media/downloads/freebsd-server/
http://emby.media/community/index.php?/topic/18029-how-to-configure-ssl-support/
http://www.tcpdf.org

